<mamecheat version="1">

	<cheat desc="PLAYER">
		<parameter>
			<item value="0x04">4 Players</item>
			<item value="0x01">1 Players</item>
		</parameter>
		<script state="run">
			<action>main.pb@812114=param</action>
		</script>
	</cheat>

	<cheat desc="STAGE">
		<parameter>
			<item value="0x01">Stage1</item>
			<item value="0x02">Stage2</item>
			<item value="0x03">Stage3</item>
			<item value="0x04">Stage4</item>
			<item value="0x05">Stage5</item>
			<item value="0x06">Stage6</item>
			<item value="0x07">Stage7</item>
			<item value="0x08">Stage8</item>
		</parameter>
		<script state="run">
			<action condition="(param==01)">main.pb@402821=00</action>
			<action condition="(param==01)">main.pb@402823=00</action>
			<action condition="(param==01)">main.pb@402ACB=00</action>
			<action condition="(param==02)">main.pb@402821=00</action>
			<action condition="(param==02)">main.pb@402823=01</action>
			<action condition="(param==02)">main.pb@402ACB=01</action>
			<action condition="(param==03)">main.pb@402821=01</action>
			<action condition="(param==03)">main.pb@402823=02</action>
			<action condition="(param==03)">main.pb@402ACB=02</action>
			<action condition="(param==04)">main.pb@402821=02</action>
			<action condition="(param==04)">main.pb@402823=03</action>
			<action condition="(param==04)">main.pb@402ACB=03</action>
			<action condition="(param==05)">main.pb@402821=03</action>
			<action condition="(param==05)">main.pb@402823=04</action>
			<action condition="(param==05)">main.pb@402ACB=04</action>
			<action condition="(param==06)">main.pb@402821=04</action>
			<action condition="(param==06)">main.pb@402823=05</action>
			<action condition="(param==06)">main.pb@402ACB=05</action>
			<action condition="(param==07)">main.pb@402821=05</action>
			<action condition="(param==07)">main.pb@402823=06</action>
			<action condition="(param==07)">main.pb@402ACB=06</action>
			<action condition="(param==08)">main.pb@402821=06</action>
			<action condition="(param==08)">main.pb@402823=07</action>
			<action condition="(param==08)">main.pb@402ACB=07</action>
		</script>
	</cheat>

	<cheat desc="INF TIME">
		<script state="run">
			<action>main.pb@80CE52=25</action>
		</script>
	</cheat>

	<cheat desc="PLAYER1 HP">
		<script state="run">
			<action>main.pb@8171EB=48</action>
		</script>
	</cheat>

	<cheat desc="PLAYER1 ROLE">
		<parameter>
			<item value="0x00">SUNWUKONG</item>
			<item value="0x01">ZHUBAJIE</item>
			<item value="0x02">SHAWUJING</item>
			<item value="0x03">LONGNV</item>
			<item value="0x04">LONGMA</item>
		</parameter>
		<script state="run">
			<action>main.pb@817926=param</action>
		</script>
	</cheat>

	<cheat desc="PLAYER1 ITEM1 INF">
		<script state="run">
			<action>main.pb@812189=05</action>
		</script>
	</cheat>

	<cheat desc="PLAYER1 ITEM2 INF">
		<script state="run">
			<action>main.pb@81218B=02</action>
		</script>
	</cheat>

	<cheat desc="PLAYER1 ITEM3 INF">
		<script state="run">
			<action>main.pb@81218D=02</action>
		</script>
	</cheat>

	<cheat desc="PLAYER1 ITEM4 INF">
		<script state="run">
			<action>main.pb@81218F=02</action>
		</script>
	</cheat>

	<cheat desc="PLAYER1 ITEM5 INF">
		<script state="run">
			<action>main.pb@812191=02</action>
		</script>
	</cheat>

	<cheat desc="PLAYER1 ITEM6 INF">
		<script state="run">
			<action>main.pb@812193=02</action>
		</script>
	</cheat>

	<cheat desc="PLAYER1 ITEM7 INF">
		<script state="run">
			<action>main.pb@812195=02</action>
		</script>
	</cheat>

	<cheat desc="PLAYER1 ITEM8 INF">
		<script state="run">
			<action>main.pb@812197=02</action>
		</script>
	</cheat>

	<cheat desc="PLAYER1 ITEM2 LEIDIAN">
		<script state="run">
			<action>main.pb@81218A=13</action>
		</script>
	</cheat>

	<cheat desc="PLAYER1 ITEM3 为 释厄剑">
		<script state="run">
			<action>main.pb@81218C=16</action>
		</script>
	</cheat>

	<cheat desc="PLAYER1 ITEM4 为 玄冰斧">
		<script state="run">
			<action>main.pb@81218E=14</action>
		</script>
	</cheat>

	<cheat desc="PLAYER1 ITEM5 为 火云刀">
		<script state="run">
			<action>main.pb@812190=15</action>
		</script>
	</cheat>

	<cheat desc="PLAYER1 ITEM6 为 金刚咒">
		<script state="run">
			<action>main.pb@812192=17</action>
		</script>
	</cheat>

	<cheat desc="PLAYER1 ITEM7 为 气珠">
		<script state="run">
			<action>main.pb@812194=1E</action>
		</script>
	</cheat>

	<cheat desc="PLAYER1 ITEM8 为 定珠">
		<script state="run">
			<action>main.pb@812196=12</action>
		</script>
	</cheat>

	<cheat desc=" "/>

	<cheat desc="PLAYER2 总是满血">
		<script state="run">
			<action>main.pb@81735B=48</action>
		</script>
	</cheat>

	<cheat desc="PLAYER2 ROLE">
		<parameter>
			<item value="0x00">SUNWUKONG</item>
			<item value="0x01">ZHUBAJIE</item>
			<item value="0x02">SHAWUJING</item>
			<item value="0x03">LONGNV</item>
			<item value="0x04">LONGMA</item>
		</parameter>
		<script state="run">
			<action>main.pb@817BAC=param</action>
		</script>
	</cheat>

	<cheat desc="PLAYER2 ITEM1 INF">
		<script state="run">
			<action>main.pb@812207=05</action>
		</script>
	</cheat>

	<cheat desc="PLAYER2 ITEM2 INF">
		<script state="run">
			<action>main.pb@812209=02</action>
		</script>
	</cheat>

	<cheat desc="PLAYER2 ITEM3 INF">
		<script state="run">
			<action>main.pb@81220B=02</action>
		</script>
	</cheat>

	<cheat desc="PLAYER2 ITEM4 INF">
		<script state="run">
			<action>main.pb@81220D=02</action>
		</script>
	</cheat>

	<cheat desc="PLAYER2 ITEM5 INF">
		<script state="run">
			<action>main.pb@81220F=02</action>
		</script>
	</cheat>

	<cheat desc="PLAYER2 ITEM6 INF">
		<script state="run">
			<action>main.pb@812301=02</action>
		</script>
	</cheat>

	<cheat desc="PLAYER2 ITEM7 INF">
		<script state="run">
			<action>main.pb@812303=02</action>
		</script>
	</cheat>

	<cheat desc="PLAYER2 ITEM8 INF">
		<script state="run">
			<action>main.pb@812305=02</action>
		</script>
	</cheat>

	<cheat desc="PLAYER2 ITEM2 为 雷电戟">
		<script state="run">
			<action>main.pb@812208=13</action>
		</script>
	</cheat>

	<cheat desc="PLAYER2 ITEM3 为 释厄剑">
		<script state="run">
			<action>main.pb@81220A=16</action>
		</script>
	</cheat>

	<cheat desc="PLAYER2 ITEM4 为 玄冰斧">
		<script state="run">
			<action>main.pb@81220C=14</action>
		</script>
	</cheat>

	<cheat desc="PLAYER2 ITEM5 为 火云刀">
		<script state="run">
			<action>main.pb@81220E=15</action>
		</script>
	</cheat>

	<cheat desc="PLAYER2 ITEM6 为 金刚咒">
		<script state="run">
			<action>main.pb@812300=17</action>
		</script>
	</cheat>

	<cheat desc="PLAYER2 ITEM7 为 气珠">
		<script state="run">
			<action>main.pb@812302=1E</action>
		</script>
	</cheat>

	<cheat desc="PLAYER2 ITEM8 为 定珠">
		<script state="run">
			<action>main.pb@812304=12</action>
		</script>
	</cheat>

	<cheat desc=" "/>

	<cheat desc="PLAYER3 总是满血">
		<script state="run">
			<action>main.pb@8174CB=48</action>
		</script>
	</cheat>

	<cheat desc="PLAYER3 ROLE">
		<parameter>
			<item value="0x00">SUNWUKONG</item>
			<item value="0x01">ZHUBAJIE</item>
			<item value="0x02">SHAWUJING</item>
			<item value="0x03">LONGNV</item>
			<item value="0x04">LONGMA</item>
		</parameter>
		<script state="run">
			<action>main.pb@817E32=param</action>
		</script>
	</cheat>

	<cheat desc="PLAYER3 ITEM1 INF">
		<script state="run">
			<action>main.pb@812285=05</action>
		</script>
	</cheat>

	<cheat desc="PLAYER3 ITEM2 INF">
		<script state="run">
			<action>main.pb@812287=02</action>
		</script>
	</cheat>

	<cheat desc="PLAYER3 ITEM3 INF">
		<script state="run">
			<action>main.pb@812289=02</action>
		</script>
	</cheat>

	<cheat desc="PLAYER3 ITEM4 INF">
		<script state="run">
			<action>main.pb@81228B=02</action>
		</script>
	</cheat>

	<cheat desc="PLAYER3 ITEM5 INF">
		<script state="run">
			<action>main.pb@81228D=02</action>
		</script>
	</cheat>

	<cheat desc="PLAYER3 ITEM6 INF">
		<script state="run">
			<action>main.pb@81228F=02</action>
		</script>
	</cheat>

	<cheat desc="PLAYER3 ITEM7 INF">
		<script state="run">
			<action>main.pb@812291=02</action>
		</script>
	</cheat>

	<cheat desc="PLAYER3 ITEM8 INF">
		<script state="run">
			<action>main.pb@812293=02</action>
		</script>
	</cheat>

	<cheat desc="PLAYER3 ITEM2 为 雷电戟">
		<script state="run">
			<action>main.pb@812286=13</action>
		</script>
	</cheat>

	<cheat desc="PLAYER3 ITEM3 为 释厄剑">
		<script state="run">
			<action>main.pb@812288=16</action>
		</script>
	</cheat>

	<cheat desc="PLAYER3 ITEM4 为 玄冰斧">
		<script state="run">
			<action>main.pb@81228A=14</action>
		</script>
	</cheat>

	<cheat desc="PLAYER3 ITEM5 为 火云刀">
		<script state="run">
			<action>main.pb@81228C=15</action>
		</script>
	</cheat>

	<cheat desc="PLAYER3 ITEM6 为 金刚咒">
		<script state="run">
			<action>main.pb@81228E=17</action>
		</script>
	</cheat>

	<cheat desc="PLAYER3 ITEM7 为 气珠">
		<script state="run">
			<action>main.pb@812290=1E</action>
		</script>
	</cheat>

	<cheat desc="PLAYER3 ITEM8 为 定珠">
		<script state="run">
			<action>main.pb@812292=12</action>
		</script>
	</cheat>

	<cheat desc=" "/>

	<cheat desc="PLAYER4 总是满血">
		<script state="run">
			<action>main.pb@81763B=48</action>
		</script>
	</cheat>

	<cheat desc="PLAYER4 ROLE">
		<parameter>
			<item value="0x00">SUNWUKONG</item>
			<item value="0x01">ZHUBAJIE</item>
			<item value="0x02">SHAWUJING</item>
			<item value="0x03">LONGNV</item>
			<item value="0x04">LONGMA</item>
		</parameter>
		<script state="run">
			<action>main.pb@8180B8=param</action>
		</script>
	</cheat>

	<cheat desc="PLAYER4 ITEM1 INF">
		<script state="run">
			<action>main.pb@812303=05</action>
		</script>
	</cheat>

	<cheat desc="PLAYER4 ITEM2 INF">
		<script state="run">
			<action>main.pb@812305=02</action>
		</script>
	</cheat>

	<cheat desc="PLAYER4 ITEM3 INF">
		<script state="run">
			<action>main.pb@812307=02</action>
		</script>
	</cheat>

	<cheat desc="PLAYER4 ITEM4 INF">
		<script state="run">
			<action>main.pb@812309=02</action>
		</script>
	</cheat>

	<cheat desc="PLAYER4 ITEM5 INF">
		<script state="run">
			<action>main.pb@81230B=02</action>
		</script>
	</cheat>

	<cheat desc="PLAYER4 ITEM6 INF">
		<script state="run">
			<action>main.pb@81230D=02</action>
		</script>
	</cheat>

	<cheat desc="PLAYER4 ITEM7 INF">
		<script state="run">
			<action>main.pb@81230F=02</action>
		</script>
	</cheat>

	<cheat desc="PLAYER4 ITEM8 INF">
		<script state="run">
			<action>main.pb@812311=02</action>
		</script>
	</cheat>

	<cheat desc="PLAYER4 ITEM2 为 雷电戟">
		<script state="run">
			<action>main.pb@812304=13</action>
		</script>
	</cheat>

	<cheat desc="PLAYER4 ITEM3 为 释厄剑">
		<script state="run">
			<action>main.pb@812306=16</action>
		</script>
	</cheat>

	<cheat desc="PLAYER4 ITEM4 为 玄冰斧">
		<script state="run">
			<action>main.pb@812308=14</action>
		</script>
	</cheat>

	<cheat desc="PLAYER4 ITEM5 为 火云刀">
		<script state="run">
			<action>main.pb@81230A=15</action>
		</script>
	</cheat>

	<cheat desc="PLAYER4 ITEM6 为 金刚咒">
		<script state="run">
			<action>main.pb@81230C=17</action>
		</script>
	</cheat>

	<cheat desc="PLAYER4 ITEM7 为 气珠">
		<script state="run">
			<action>main.pb@81230E=1E</action>
		</script>
	</cheat>

	<cheat desc="PLAYER4 ITEM8 为 定珠">
		<script state="run">
			<action>main.pb@812310=12</action>
		</script>
	</cheat>

</mamecheat>
<!-- cheat from Creamymami -->
<!-- by oak2003 conversion -->
